7

Instalación de WSL y Ubuntu para Windows 10 LTSC

Buenas, personalmente tengo Windows 10 LTSC, el cual se actualiza únicamente hasta la versión 1809 y no cuenta con Windows Store, por lo tanto no se puede instalar WSL y Ubuntu tal como se muestra en el video, pero encontré una forma de lograrlo.
Dadas las características de este sistema, solamente se puede instalar WSL1, que igualmente me está funcionando muy bien, les detallo el procedimiento:

  1. Primero, debemos habilitar WSL, para esto abrimos el PowerShell con permisos de administrador e introducimos este comando:
dism.exe /online /enable-feature /featurename:Microsoft-Windows-Subsystem-Linux /all /norestart
  1. Segundo, descargamos Ubuntu, les recomiendo la versión 18.04 ya que tendrá mejor compatibilidad con esta versión de WSL:
    http://tlu.dl.delivery.mp.microsoft.com/filestreamingservice/files/fcb8793e-86d9-4d56-adb3-55804353de7b?P1=1613955635&P2=404&P3=2&P4=ci284w0puF%2f6PRBq88oDQRMQ5h5HuR8AHjI3tweTutl8Pi1tYI2tSMdQiL65%2fsSV8NOc0b4bNQi%2fcLWAYGQeMg%3d%3d

  2. Ahora, vamos a la carpeta donde se descargó Ubuntu, tocamos en la barra de direcciones (donde dice la ruta) y escribimos Powershell, para que se abra la consola en esta carpeta.

  3. Ahora, en esta consola que se abrió introducimos el siguiente comando para instalar Ubuntu:

Add-AppxPackage .\CanonicalGroupLimited.Ubuntu18.04onWindows_1804.2020.824.0_neutral___79rhkp1fndgsc.AppxBundle
  1. Cuando termine, tocamos el botón de Windows, escribimos Ubuntu y lo abrimos, ahora se empezará a instalar el sistema

Eso es todo, espero que les sirva, si tienen alguna duda estaré pendiente para ayudar.

Videotutorial a partir del cual hice la guía:
https://youtu.be/YbGwrw1zV9E

Escribe tu comentario
+ 2
2
4629Puntos

Muy bueno si funciona, lo probaré lo más pronto posible.

Crees que funcione para mi PC que es Windows 10 Enterprise LTSB?

Esta versión de Windows que instalaron está modificada como MiniOS10 LTSB v2020.02.

2
9717Puntos
5 meses

Hola buenas.
Según investigué, WSL 1 requiere mínimo una build 16215. Si tu build es como esa o superior, debería funcionar sin problemas. Sino igualmente se podría intentar, no se pierde nada.

2
1458Puntos

Muchas gracias!!! es de gran ayuda, estaba bloqueada.